## ESourceMemoList ESourceMemoList — ESource extension for a memo list |

## Types and Values

#define | E_SOURCE_EXTENSION_MEMO_LIST
struct | ESourceMemoList
struct | ESourceMemoListClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceCalendar extension identifies the ESource as a memo list.

Access the extension as follows:

    1
    2
    3
    4
    5
    #include <libedataserver/libedataserver.h>

    ESourceCalendar *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_MEMO_LIST);

## Functions

## Types and Values

### E_SOURCE_EXTENSION_MEMO_LIST

    #define E_SOURCE_EXTENSION_MEMO_LIST "Memo List"

Pass this extension name to `e_source_get_extension()` to access ESourceMemoList. This is also used as a group name in key files.

Since: 3.6

### struct ESourceMemoList

    struct ESourceMemoList {
    	ESourceSelectable parent;
    	ESourceMemoListPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6

### struct ESourceMemoListClass

    struct ESourceMemoListClass {
    	ESourceSelectableClass parent_class;
    };